Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core
Class OpenCardException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  opencard.core.OpenCardException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CardServiceException, CardTerminalException, OpenCardPropertyLoadingException, T1Exception

    public abstract class OpenCardException

extends java.io.IOException

The base class of all checked OpenCard exceptions. The major exception classes derived from this one are `CardTerminalException` and `CardServiceException`.

Version:
  $Id: OpenCardException.java,v 1.1.1.1 1999/10/05 15:34:30 damke Exp $
Author:
  Roland Weber (rolweber@de.ibm.com)
See Also:
  `CardTerminalException`, `CardServiceException`, Serialized Form

Constructor Summary
`OpenCardException()` Creates a new exception without detail message.
`OpenCardException(java.lang.String message)` Creates a new exception with detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenCardException

    public OpenCardException()

  Creates a new exception without detail message.

### OpenCardException

    public OpenCardException(java.lang.String message)

  Creates a new exception with detail message. The message is meant for debugging purposes, not for user interaction. There is no support for internationalization of exception messages.

  Parameters:
    `message` - a message describing why this exception is thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD